Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.convert
Class NullConverter

    java.lang.Object
      org.directwebremoting.convert.NullConverter

All Implemented Interfaces:
  Converter

    public class NullConverter

extends java.lang.Object
implements Converter

An implementation of Converter for null and undefined.

Version:
  $Id: StringConverter.java,v 1.2 2004/11/04 15:54:07 joe_walker Exp $
Author:
  Joe Walker [joe at eireneh dot com]

Constructor Summary
`NullConverter()`

Method Summary
`java.lang.Object` | `convertInbound(java.lang.Class paramType, InboundVariable data, InboundContext inctx)` Attempt to coerce the data from a string to an Object.
`OutboundVariable` | `convertOutbound(java.lang.Object data, OutboundContext outctx)` Return a javascript string that defines the variable named varName to have the contents of the converted object data.
`void` | `setConverterManager(ConverterManager config)` If we are a compound converter that farms out part of the conversion to other converters then you farm the conversion out via a configuration.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullConverter

    public NullConverter()

Method Detail

### setConverterManager

    public void setConverterManager(ConverterManager config)

  Description copied from interface: `Converter`
  If we are a compound converter that farms out part of the conversion to other converters then you farm the conversion out via a configuration.

  Specified by:
    `setConverterManager` in interface `Converter`
  Parameters:
    `config` - The confiuration object

### convertInbound

    public java.lang.Object convertInbound(java.lang.Class paramType,
                                           InboundVariable data,
                                           InboundContext inctx)

  Description copied from interface: `Converter`
  Attempt to coerce the data from a string to an Object. If anything goes wrong with inbound conversion then we generally throw an exception because we are converting data from the untrusted internet so we take the assumption that anything wrong is someone hacking.

  Specified by:
    `convertInbound` in interface `Converter`
  Parameters:
    `paramType` - The type to convert to
    `data` - The data to convert
    `inctx` - The map of data that we are working on
  Returns:
    The convered data, or null if the conversion was not possible

### convertOutbound

    public OutboundVariable convertOutbound(java.lang.Object data,
                                            OutboundContext outctx)

  Description copied from interface: `Converter`
  Return a javascript string that defines the variable named varName to have the contents of the converted object data.

  In contrast to `convertInbound()` failures in converting data on the way out should not stop processing, and we should carry on if we can. Failures are probably down to some misconfiguration so as much information about the error as can be safely generated to console logs is good. In other words if you need to loop in outbound conversion then it might be a good idea to catch issues inside the loop, log, and carry on.

  Specified by:
    `convertOutbound` in interface `Converter`
  Parameters:
    `data` - The data to convert
    `outctx` - A collection of objects already converted and the results
  Returns:
    The OutboundVariable that represents the data to convert

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD